Bug 705100 (CVE-2011-1920) - CVE-2011-1920 mk-files: insecure temporary file usage
Summary: CVE-2011-1920 mk-files: insecure temporary file usage
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2011-1920
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 705090 (view as bug list)
Depends On: 705103
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-16 15:55 UTC by Vincent Danen
Modified: 2021-02-24 15:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-21 23:38:29 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-05-16 15:55:39 UTC
A Debian bug report [1] noted that pmake (and mk-files in Fedora) contained the files /usr/share/mk/bsd.{lib,prog}.mk that created temporary files insecurely with predictable file names in /tmp (/tmp/_depend[PID]), ignoring any $TMPDIR values.

In lib.mk:

446 afterdepend: .depend
447     @(TMP=/tmp/_depend$$$$; \
448         sed -e 's/^\([^\.]*\).o[ ]*:/\1.o \1.po \1.so \1.ln:/' \
449           < .depend > $$TMP; \
450         mv $$TMP .depend)
451 .endif

The same is found in prog.mk (in Fedora's mk-files package).

The Debian bug report proposes to use mktemp here:

-   @(TMP=/tmp/_depend$$$$; \
+   @(TMP=`mktemp -t _dependXXXXXXXXXX` || exit $$?; \

Upstream has already corrected this by removing the offending code [2],[3].

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=626673
[2] http://cvsweb.netbsd.org/bsdweb.cgi/src/share/mk/bsd.lib.mk.diff?r1=1.239&r2=1.240
[3] http://cvsweb.netbsd.org/bsdweb.cgi/src/share/mk/bsd.prog.mk.diff?r1=1.192&r2=1.193

Comment 1 Vincent Danen 2011-05-16 16:00:51 UTC
*** Bug 705090 has been marked as a duplicate of this bug. ***

Comment 2 Vincent Danen 2011-05-16 16:02:26 UTC
Created mk-files tracking bugs for this issue

Affects: fedora-all [bug 705103]

Comment 3 Vincent Danen 2011-05-16 16:03:38 UTC
Statement:

The Red Hat Security Response Team has rated this issue as having low security impact. We do not currently plan to fix this flaw in Red Hat Enterprise Linux 4. If more information becomes available at a future date, we may revisit the issue.

Comment 4 Vincent Danen 2011-05-16 21:52:21 UTC
This was assigned the name CVE-2011-1920.


Note You need to log in before you can comment on or make changes to this bug.